<?php
/**
 * Boss — Boss Responsive Theme for WordPress, exclusively on Envato Market: http://themeforest.net/user/torbara/?ref=torbara
 * @encoding   UTF-8
 * @version    2.0.0
 * @copyright  Copyright ( C ) 2015 torbar (http://torbara.com/). All rights reserved.
 * @license    Copyrighted Commercial Software
 * @support    support@torbara.com
 * @author     Torbara
 */

// Load TGM plugin activation
$wcd = wp_upload_dir();
$wcd = $wcd['basedir'];
require_once( $wcd . '/warp/vendor/plugins-activation/class-tgm-plugin-activation.php' );

/* ----------------------------------------------------------------------------------- */
/*  TGM plugin activation
  /*----------------------------------------------------------------------------------- */
if (!function_exists('boss_recommended_plugins')) {

    function boss_recommended_plugins() {

        $plugins = array(
            // Plugins from Wordpress.org
            array(
                'name' => 'Contact Form 7',
                'slug' => 'contact-form-7',
                'required' => false,
            ),
            array(
                'name' => 'Google Maps Easy',
                'slug' => 'google-maps-easy',
                'required' => false,
            ),
            array(
                'name' => 'Widget Logic',
                'slug' => 'widget-logic',
                'required' => false,
            ),
            array(
                'name' => 'Widget Shortcode',
                'slug' => 'widget-shortcode',
                'required' => false,
            ),
            array(
                'name' => 'WooCommerce',
                'slug' => 'woocommerce',
                'required' => false,
            ),
            array(
                'name' => 'WooCommerce Product Archive Customiser',
                'slug' => 'woocommerce-product-archive-customiser',
                'required' => false,
            ),
            array(
                'name' => 'WP-PageNavi',
                'slug' => 'wp-pageNavi',
                'required' => false,
            ),
            array(
                'name' => 'WP Editor',
                'slug' => 'wp-editor',
                'required' => false,
            ),

            array(
                'name' => 'PS Disable Auto Formatting',
                'slug' => 'ps-disable-auto-formatting',
                'required' => false,
            ),
            array(
                'name' => 'Custom Category Template',
                'slug' => 'custom-category-template',
                'required' => false,
            ),
            array(
                'name' => 'Woo AJAX Cart',
                'slug' => 'woocommerce-ajax-cart',
                'required' => false,
            ),
            array(
                'name' => 'YITH WooCommerce Wishlist',
                'slug' => 'yith-woocommerce-wishlist',
                'required' => false,
            ),
            array(
                'name' => 'Flickr Album Gallery',
                'slug' => 'flickr-album-gallery',
                'required' => false,
            ),
            array(
                'name' => 'WP Post Template',
                'slug' => 'wp-custom-post-template',
                'required' => false,
            ),
            array(
                'name' => 'Advanced AJAX Product Filters',
                'slug' => 'woocommerce-ajax-filters',
                'required' => false,
            ),
            array(
                'name' => 'MailChimp for WordPress',
                'slug' => 'mailchimp-for-wp',
                'required' => false,
            ),
            array(
                'name' => 'Allow Shortcode in Text Widgets',
                'slug' => 'allow-shortcode-in-text-widgets',
                'required' => false,
            ),

            // Custom Plugins
            array(
                'name' => 'TT Tabs widget',
                'slug' => 'tt_tabs_widget',
                'source' => get_template_directory() . '/plugins/tt_tabs_widget.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Media Slider widget',
                'slug' => 'tt_media_slider_widget',
                'source' => get_template_directory() . '/plugins/tt_media_slider_widget.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Slider widget',
                'slug' => 'tt_slider_widget',
                'source' => get_template_directory() . '/plugins/tt_slider_widget.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Blog widget',
                'slug' => 'tt_blog_widget',
                'source' => get_template_directory() . '/plugins/tt_blog_widget.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Skills widget',
                'slug' => 'tt_skills_widget',
                'source' => get_template_directory() . '/plugins/tt_skills_widget.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Team widget',
                'slug' => 'tt_team_widget',
                'source' => get_template_directory() . '/plugins/tt_team_widget.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Repeater fields widget',
                'slug' => 'tt_repeater_fields_widget',
                'source' => get_template_directory() . '/plugins/tt_repeater_fields_widget.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Latest Works widget',
                'slug' => 'tt_latest_work_widget.',
                'source' => get_template_directory() . '/plugins/tt_latest_work_widget.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Video widget',
                'slug' => 'tt_video_widget',
                'source' => get_template_directory() . '/plugins/tt_video_widget.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Testimonials widget',
                'slug' => 'tt_testimonials_widget',
                'source' => get_template_directory() . '/plugins/tt_testimonials_widget.zip',
                'required' => false,
            ),            
            array(
                'name' => 'TT Social widget',
                'slug' => 'tt_social_widget',
                'source' => get_template_directory() . '/plugins/tt_social_widget.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Image Rotator Widget',
                'slug' => 'dkirw',
                'source' => get_template_directory() . '/plugins/dk-new-medias-image-rotator-widget.zip',
                'required' => false,
            ),
            array(
                'name' => 'Easy Image Gallery',
                'slug' => 'easy-image-gallery',
                'source' => get_template_directory() . '/plugins/easy-image-gallery.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Calendar',
                'slug' => 'multiple-ajax-calendar',
                'source' => get_template_directory() . '/plugins/multiple-ajax-calendar.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Cart',
                'slug' => 'tt-cart',
                'source' => get_template_directory() . '/plugins/tt-cart.zip',
                'required' => false,
            ),
            array(
                'name' => 'TT Category',
                'slug' => 'tt-category-portfolio',
                'source' => get_template_directory() . '/plugins/tt-category-portfolio.zip',
                'required' => false,
            ),
            array(
                'name' => 'WooCommerce Variation Description Radio Buttons',
                'slug' => 'woocommerce-variation-description-radio-buttons-1.1',
                'source' => get_template_directory() . '/plugins/woocommerce-variation-description-radio-buttons-1.1.zip',
                'required' => false,
            )
        );
        $config = array('is_automatic' => true);
        tgmpa($plugins, $config);
    }

}
add_action('tgmpa_register', 'boss_recommended_plugins');
