<article id="item-<?php the_ID(); ?>" class="uk-article tm-post-archive-wrap" data-permalink="<?php the_permalink(); ?>">
          
    <?php if (has_post_thumbnail()) { ?>
        <?php
        $width = get_option('thumbnail_size_w'); //get the width of the thumbnail setting
        $height = get_option('thumbnail_size_h'); //get the height of the thumbnail setting
        ?>
        <a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>" class="tm-post-image-wrap">
            <?php the_post_thumbnail( 'large', array( 'class' => 'alignleft' )); ?>
        </a>
    <?php } ?>        
    <div class="tm-blog-item-info">
        <div class="tm-blog-item-info_meta">
            <span><?php echo get_the_time('j F');?></span>
        </div>
        <a href="<?php the_permalink(); ?>"><h4><?php the_title(); ?></h4></a>
        <div>
            <?php echo wp_trim_words( the_content(), 20, '...' ); ?>
        </div>
        <a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>" class="tm-button-primary"><?php esc_html_e('Read More', 'boss'); ?></a>
        <div class="tm-blog-item-bottom-info">
          <div class="uk-clearfix">
            <div class="uk-float-right">
            </div>
            <div class="uk-float-left">
                <ul>
                <?php if(comments_open() || get_comments_number()) : ?>
                      <li><?php comments_popup_link(esc_html__('No Comments', 'boss'), esc_html__('1 Comment', 'boss'), esc_html__('% Comments', 'boss'), "", ""); ?></li>
                <?php endif; ?>
                </ul>
            </div>
          </div>
        </div>
      </div>

    <?php edit_post_link(esc_html__('Edit this post.', 'boss'), '<p><i class="uk-icon-pencil"></i> ','</p>'); ?>

</article>