<?php 
/**
 * Boss — Boss Responsive Theme for WordPress, exclusively on Envato Market: http://themeforest.net/user/torbara
 * @encoding   UTF-8
 * @version    2.0.0
 * @copyright  Copyright ( C ) 2016 torbar (http://torbara.com/). All rights reserved.
 * @license    Copyrighted Commercial Software
 * @support    support@torbara.com
 * @author     Torbara
*/
?>
<div id="content">
    <?php if (have_posts()) : ?>

    <h1 class="uk-panel-title"><?php esc_html_e( 'Search Results for', 'boss'); ?> &#8216;&nbsp;<span style="font-style: italic;"><?php echo stripslashes(strip_tags(get_search_query()));?></span>&nbsp;&#8217;</h1>
        <div class="tm-default-category-posts-list clearfix uk-grid " >
            <?php
                // loop result
                while (have_posts()) {
                    the_post();
            ?>
            <div class="uk-width-small-1-1 uk-width-medium-1-2 tm-grid-heights">
                <article id="item-<?php the_ID(); ?>" class="uk-article tm-post-archive-wrap tm-m-b-30" data-permalink="<?php the_permalink(); ?>">
                    <?php if (has_post_thumbnail()) { ?>
                        <?php
                        $width = get_option('thumbnail_size_w'); //get the width of the thumbnail setting
                        $height = get_option('thumbnail_size_h'); //get the height of the thumbnail setting
                        ?>
                        <a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>" class="tm-post-image-wrap">
                            <?php the_post_thumbnail( 'large', array( 'class' => 'alignleft' )); ?>
                        </a>
                    <?php } ?>        
                    <div class="tm-blog-item-info">
                        <div class="tm-blog-item-info_meta">
                            <span><?php echo get_the_time('j F');?></span>
                        </div>
                        <a href="<?php the_permalink(); ?>"><h1><?php the_title(); ?></h1></a>
                        <div class="tm-search-content-wrap">
                            <?php echo wp_trim_words( get_the_content(), 20, '...' ); ?>
                        </div>
                        <a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>" class="tm-button-primary"><?php esc_html_e('Read More', 'boss'); ?></a>
                        <div class="tm-blog-item-bottom-info">
                          <div class="uk-clearfix">
                            <div class="uk-float-right">
                            </div>
                            <div class="uk-float-left">
                                <ul>
                                    <?php if(comments_open() || get_comments_number()) : ?>
                                          <li><?php comments_popup_link(esc_html__('No Comments', 'boss'), esc_html__('1 Comment', 'boss'), esc_html__('% Comments', 'boss'), "", ""); ?></li>
                                    <?php endif; ?>
                                </ul>
                            </div>
                          </div>
                        </div>
                    </div>
                    <?php edit_post_link(esc_html__('Edit this post.', 'boss'), '<p><i class="uk-icon-pencil"></i> ','</p>'); ?>
                </article>
            </div>
            <?php } ?>
        </div>
    <?php echo $this->render("_pagination", array("type"=>"posts")); ?></p>

    <?php else : ?>
        <h2 class="page-title"><?php esc_html_e( 'No posts found. Try a different search?', 'boss'); ?></h2>
        <?php get_search_form(); ?>
    <?php endif; ?>
</div>