<?php
/*
Template Name: TT Services Category
*/
/**
 * Boss category template for WP, exclusively on Envato Market: http://codecanyon.net/user/aklare
 * @encoding     UTF-8
 * @version      1.0
 * @copyright    Copyright (C) 2016 Aklare (http://torbara.com). All rights reserved.
 * @license      GNU General Public License version 2 or later, see http://www.gnu.org/licenses/gpl-2.0.html
 * @author       torbara (support@torbara.com)
 */
get_header(); ?>
<?php $thisCat = get_category(get_query_var('cat'),false); ?>
  <div class="uk-width-1-1">
      <div class="uk-panel">
          <h1 class="uk-page-title"><?php echo esc_attr($thisCat->cat_name); ?></h1>
      </div>
  </div>

  <div class="tm-services-category" data-uk-observe>
    <div class="uk-grid" data-uk-grid-margin>

        <?php $counter = 0; ?>
        <?php while (have_posts()) { the_post(); $counter++; ?>
          <div class="uk-width-small-1-1 uk-width-medium-1-2">
            <div class="tm-services-container">
              <div class="tm-services-item">
                <?php if ( has_post_thumbnail(get_the_ID())) { ?>
                  <?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(), false, '' ); ?>
                    <div class="uk-cover-background" style="background-image: url(<?php echo $src[0]; ?>);">
                      <img class="uk-invisible" src="<?php echo $src[0]; ?>" width="600" height="400" alt="<?php the_title(); ?>">
                    </div>
                <?php } ?>
                <div class="tm-services-item-overlay">
                  <div class="<?php if($counter & 2){echo 'tt-is-left';}else {echo 'tt-is-right';}?>"></div>
                  <div class="tm-wrap">
                  <h1><?php the_title(); ?></h1>
                      <?php the_content(); ?>
                  </div>

                </div>

              </div>
            </div>
          </div>
        <?php } ?>

    </div>
  </div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
