<?php
/*
WP Post Template: TT Team Single
*/
/**
 * Boss category template for WP, exclusively on Envato Market: http://codecanyon.net/user/aklare
 * @encoding     UTF-8
 * @version      1.0
 * @copyright    Copyright (C) 2016 Aklare (http://torbara.com). All rights reserved.
 * @license      GNU General Public License version 2 or later, see http://www.gnu.org/licenses/gpl-2.0.html
 * @author       torbara (support@torbara.com)
 */
get_header(); ?>

<div class="tm-team-single">
    <div class="uk-width-1-1">
        <div class="uk-panel">
            <h1 class="uk-page-title"><?php the_title(); ?></h1>
            <span class="tm-team-position"><?php the_excerpt(); ?></span>
        </div>
    </div>

<div class="tm-single">
  <div class="uk-grid uk-grid-medium tm-single-container">
    <?php
    while (have_posts()) {
        the_post();?>

        <div class="uk-width-small-1-1 uk-width-medium-1-2">
          <?php if ( has_post_thumbnail(get_the_ID())) { ?>
          <?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(), false, '' ); ?>
            <div class="uk-cover-background" style="background-image: url(<?php echo $src[0]; ?>);">
              <img class="uk-invisible" src="<?php echo $src[0]; ?>" width="600" height="400" alt="<?php the_title(); ?>">
            </div>
          <?php } ?>
        </div>

        <?php the_content(); ?>
        
        <div class="uk-width-1-1 tm-single-pagination">
          <div class="uk-grid" data-uk-grid-margin>
            <div class="uk-width-small-1-1 uk-width-medium-1-2">
              <div class="tm-single-pagination-left"><?php previous_post_link('%link', '%title', TRUE); ?></div>
            </div>
            <div class="uk-width-small-1-1 uk-width-medium-1-2">
              <div class="tm-single-pagination-right"><?php next_post_link('%link', '%title', TRUE); ?></div>
            </div>
          </div>
        </div>
        <?php
    }
    ?>

      </div>
</div>

</div>


<?php get_sidebar(); ?>

<?php get_footer(); ?>
