<?php
/**
 * Shipping Methods Display
 *
 * In 2.1 we show methods per package. This allows for multiple methods per order if so desired.
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

		<?php if ( ! empty( $available_methods ) ) : ?>

			<?php if ( 1 === count( $available_methods ) ) :
				$method = current( $available_methods );?>
					<h3><?php echo $method->label; ?></h3>
				<input type="hidden" name="shipping_method[<?php echo $index; ?>]" data-index="<?php echo $index; ?>" id="shipping_method_<?php echo $index; ?>" value="<?php echo esc_attr( $method->id ); ?>" class="shipping_method" />
			<?php endif; ?>
	<?php endif; ?>

		<?php if ( ! empty( $available_methods ) ) : ?>
			<?php if ( 1 === count( $available_methods ) ) :
				$method = current( $available_methods );?>
					<h3 class="tt-title-collaterals"><?php echo '$', $method->cost; ?></h3>
				
			<?php endif; ?>
	<?php endif; ?>
