<?php
/*
  Plugin Name: TT Skills widget
  Plugin URI: http://themeforest.net/user/torbara
  Description: add skills widget
  Author: Torbara
  Version: 1.0.0
  Author URI: http://themeforest.net/user/torbara/portfolio
 */

class tt_skills_widget extends WP_Widget {

    function __construct() {
        $widget_ops = array('classname' => 'tt_skills_widget', 'description' => 'Display latest posts from existing categorie');
        parent::__construct('tt_skills_widget', 'TT Skills widget', $widget_ops);
    }

    function form($instance) { ?>

        <?php $title = isset( $instance['title']) ? esc_attr( $instance['title'] ) : "Skills"; ?>
        <p>
            <label for="<?php echo $this->get_field_id('title') ?>"><?php _e('Title:','boss') ?></label>
            <input type="text" name="<?php echo $this->get_field_name('title') ?>"  value="<?php echo $title; ?>" class="widefat" id="<?php echo $this->get_field_id('title') ?>">
        </p>
        <?php $intro = isset( $instance['intro']) ? esc_attr( $instance['intro'] ) : "Intro"; ?>
        <p>
            <label for="<?php echo $this->get_field_id('intro') ?>"><?php _e('Intro:','boss') ?></label>
            <input type="text" name="<?php echo $this->get_field_name('intro') ?>"  value="<?php echo $intro; ?>" class="widefat" id="<?php echo $this->get_field_id('intro') ?>">
        </p>
        <?php $skills_one = isset( $instance['skills_one']) ? esc_attr( $instance['skills_one'] ) : "One"; ?>
        <?php $skills_one_percent = isset( $instance['skills_one_percent']) ? esc_attr( $instance['skills_one_percent'] ) : "100"; ?>
        <p style="margin-top: 25px;">
            <input type="text" placeholder="Home" name="<?php echo $this->get_field_name('skills_one') ?>"  value="<?php echo $skills_one ?>" style="width:89%;" class="tm-skills-input widefat" id="<?php echo $this->get_field_id('skills_one') ?>">
            <input type="text" placeholder="%" name="<?php echo $this->get_field_name('skills_one_percent') ?>"  value="<?php echo $skills_one_percent ?>" style="width: 10%;" class="tm-skills-percent widefat" id="<?php echo $this->get_field_id('skills_one_percent') ?>">
        </p>
        <?php $skills_two = isset( $instance['skills_two']) ? esc_attr( $instance['skills_two'] ) : "Two"; ?>
        <?php $skills_two_percent = isset( $instance['skills_two_percent']) ? esc_attr( $instance['skills_two_percent'] ) : "100"; ?>
        <p>

            <input type="text" placeholder="Home" name="<?php echo $this->get_field_name('skills_two') ?>"  value="<?php echo $skills_two ?>" style="width:89%;" class="tm-skills-input widefat" id="<?php echo $this->get_field_id('skills_two') ?>">
            <input type="text" placeholder="%" name="<?php echo $this->get_field_name('skills_two_percent') ?>"  value="<?php echo $skills_two_percent ?>" style="width: 10%;" class="tm-skills-percent widefat" id="<?php echo $this->get_field_id('skills_two_percent') ?>">
        </p>
        <?php $skills_three = isset( $instance['skills_three']) ? esc_attr( $instance['skills_three'] ) : "Three"; ?>
        <?php $skills_three_percent = isset( $instance['skills_three_percent']) ? esc_attr( $instance['skills_three_percent'] ) : "100"; ?>
        <p>

            <input type="text" placeholder="Home" name="<?php echo $this->get_field_name('skills_three') ?>"  value="<?php echo $skills_three ?>" style="width:89%;" class="tm-skills-input widefat" id="<?php echo $this->get_field_id('skills_three') ?>">
            <input type="text" placeholder="%" name="<?php echo $this->get_field_name('skills_three_percent') ?>"  value="<?php echo $skills_three_percent ?>" style="width: 10%;" class="tm-skills-percent widefat" id="<?php echo $this->get_field_id('skills_three_percent') ?>">
            </p>
        <?php $skills_four = isset( $instance['skills_four']) ? esc_attr( $instance['skills_four'] ) : "Four"; ?>
        <?php $skills_four_percent = isset( $instance['skills_four_percent']) ? esc_attr( $instance['skills_four_percent'] ) : "100"; ?>
        <p>

            <input type="text" placeholder="Home" name="<?php echo $this->get_field_name('skills_four') ?>"  value="<?php echo $skills_four ?>" style="width:89%;" class="tm-skills-input widefat" id="<?php echo $this->get_field_id('skills_four') ?>">
            <input type="text" placeholder="%" name="<?php echo $this->get_field_name('skills_four_percent') ?>"  value="<?php echo $skills_four_percent ?>" style="width: 10%;" class="tm-skills-percent widefat" id="<?php echo $this->get_field_id('skills_four_percent') ?>">
        </p>
        <?php $skills_five = isset( $instance['skills_five']) ? esc_attr( $instance['skills_five'] ) : "Five"; ?>
        <?php $skills_five_percent = isset( $instance['skills_five_percent']) ? esc_attr( $instance['skills_five_percent'] ) : "100"; ?>
        <p>

            <input type="text" placeholder="Home" name="<?php echo $this->get_field_name('skills_five') ?>"  value="<?php echo $skills_five ?>" style="width:89%;" class="tm-skills-input widefat" id="<?php echo $this->get_field_id('skills_five') ?>">
            <input type="text" placeholder="%" name="<?php echo $this->get_field_name('skills_five_percent') ?>"  value="<?php echo $skills_five_percent ?>" style="width: 10%;" class="tm-skills-percent widefat" id="<?php echo $this->get_field_id('skills_five_percent') ?>">
        </p>
        <?php $skills_six = isset( $instance['skills_six']) ? esc_attr( $instance['skills_six'] ) : "Six"; ?>
        <?php $skills_six_percent = isset( $instance['skills_six_percent']) ? esc_attr( $instance['skills_six_percent'] ) : "100"; ?>
        <p>

            <input type="text" placeholder="Home" name="<?php echo $this->get_field_name('skills_six') ?>"  value="<?php echo $skills_six ?>" style="width:89%;" class="tm-skills-input widefat" id="<?php echo $this->get_field_id('skills_six') ?>">
            <input type="text" placeholder="%" name="<?php echo $this->get_field_name('skills_six_percent') ?>"  value="<?php echo $skills_six_percent ?>" style="width: 10%;" class="tm-skills-percent widefat" id="<?php echo $this->get_field_id('skills_six_percent') ?>">
        </p>
        <?php $skills_seven = isset( $instance['skills_seven']) ? esc_attr( $instance['skills_seven'] ) : "Seven"; ?>
        <?php $skills_seven_percent = isset( $instance['skills_seven_percent']) ? esc_attr( $instance['skills_seven_percent'] ) : "100"; ?>
        <p>

            <input type="text" placeholder="Home" name="<?php echo $this->get_field_name('skills_seven') ?>"  value="<?php echo $skills_seven ?>" style="width:89%;" class="tm-skills-input widefat" id="<?php echo $this->get_field_id('skills_seven') ?>">
            <input type="text" placeholder="%" name="<?php echo $this->get_field_name('skills_seven_percent') ?>"  value="<?php echo $skills_seven_percent ?>" style="width: 10%;" class="tm-skills-percent widefat" id="<?php echo $this->get_field_id('skills_seven_percent') ?>">
        </p>





        <?php
    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title']        = $new_instance['title'];
        $instance['intro']        = $new_instance['intro'];
        $instance['skills_one']   = $new_instance['skills_one'];
        $instance['skills_one_percent']   = $new_instance['skills_one_percent'];

        $instance['skills_two']   = $new_instance['skills_two'];
        $instance['skills_two_percent']   = $new_instance['skills_two_percent'];

        $instance['skills_three'] = $new_instance['skills_three'];
        $instance['skills_three_percent']   = $new_instance['skills_three_percent'];

        $instance['skills_four']  = $new_instance['skills_four'];
        $instance['skills_four_percent']   = $new_instance['skills_four_percent'];

        $instance['skills_five']  = $new_instance['skills_five'];
        $instance['skills_five_percent']   = $new_instance['skills_five_percent'];

        $instance['skills_six']   = $new_instance['skills_six'];
        $instance['skills_six_percent']   = $new_instance['skills_six_percent'];

        $instance['skills_seven'] = $new_instance['skills_seven'];
        $instance['skills_seven_percent']   = $new_instance['skills_seven_percent'];


        return $instance;
    }

    function widget($args, $instance) {
        extract($args, EXTR_SKIP);
        $widget_id = $args["widget_id"];

        echo $before_widget;

        $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
        ?>
        <style>
          .uk-progress.is-active_<?php $str_replace_skills_one = str_replace(" ",".",$instance['skills_one']); echo $str_replace_skills_one;?> .uk-progress-bar{
            width: <?php echo esc_attr($instance['skills_one_percent']); ?>%;
          }
          .uk-progress.is-active_<?php $str_replace_skills_two = str_replace(" ",".",$instance['skills_two']); echo $str_replace_skills_two;?> .uk-progress-bar{
            width: <?php echo esc_attr($instance['skills_two_percent']); ?>%;
          }
          .uk-progress.is-active_<?php $str_replace_skills_three = str_replace(" ",".",$instance['skills_three']); echo $str_replace_skills_three;?> .uk-progress-bar{
            width: <?php echo esc_attr($instance['skills_three_percent']); ?>%;
          }
          .uk-progress.is-active_<?php $str_replace_skills_four = str_replace(" ",".",$instance['skills_four']); echo $str_replace_skills_four;?> .uk-progress-bar{
            width: <?php echo esc_attr($instance['skills_four_percent']); ?>%;
          }
          .uk-progress.is-active_<?php $str_replace_skills_five = str_replace(" ",".",$instance['skills_five']); echo $str_replace_skills_five;?> .uk-progress-bar{
            width: <?php echo esc_attr($instance['skills_five_percent']); ?>%;
          }
          .uk-progress.is-active_<?php $str_replace_skills_six = str_replace(" ",".",$instance['skills_six']); echo $str_replace_skills_six;?> .uk-progress-bar{
            width: <?php echo esc_attr($instance['skills_six_percent']); ?>%;
          }
          .uk-progress.is-active_<?php $str_replace_skills_seven = str_replace(" ",".",$instance['skills_seven']); echo $str_replace_skills_seven;?> .uk-progress-bar{
            width: <?php echo esc_attr($instance['skills_seven_percent']); ?>%;
          }
        </style>
        <div class="tm-title-skills">
          <h3 class="uk-panel-title tm-custom-title"><?php echo $instance['title']; ?></h3>
        </div>
        <div class="tm-container-skills">

          <div class="uk-width-1-1 uk-push-1-1 tm-skills-title">
        <?php if ($instance['skills_one'] != '') : ?>
          <p><?php echo esc_attr($instance['skills_one']); ?></p>
          <div class="uk-progress" data-uk-scrollspy="{cls:'is-active_<?php echo esc_attr($instance['skills_one']); ?>', repeat: true}">
            <div class="uk-progress-bar">

            </div>
          </div>
        <?php endif; ?>
        <?php if ($instance['skills_two'] != '') : ?>
          <p><?php echo esc_attr($instance['skills_two']); ?></p>
          <div class="uk-progress" data-uk-scrollspy="{cls:'is-active_<?php echo esc_attr($instance['skills_two']); ?>', repeat: true}">
            <div class="uk-progress-bar">

            </div>
          </div>
        <?php endif; ?>
        <?php if ($instance['skills_three'] != '') : ?>
          <p><?php echo esc_attr($instance['skills_three']); ?></p>
          <div class="uk-progress" data-uk-scrollspy="{cls:'is-active_<?php echo esc_attr($instance['skills_three']); ?>', repeat: true}">
            <div class="uk-progress-bar">

            </div>
          </div>
        <?php endif; ?>
        <?php if ($instance['skills_four'] != '') : ?>
          <p><?php echo esc_attr($instance['skills_four']); ?></p>
          <div class="uk-progress" data-uk-scrollspy="{cls:'is-active_<?php echo esc_attr($instance['skills_four']); ?>', repeat: true}">
            <div class="uk-progress-bar">

            </div>
          </div>
        <?php endif; ?>
        <?php if ($instance['skills_five'] != '') : ?>
          <p><?php echo esc_attr($instance['skills_five']); ?></p>
          <div class="uk-progress" data-uk-scrollspy="{cls:'is-active_<?php echo esc_attr($instance['skills_five']); ?>', repeat: true}">
            <div class="uk-progress-bar">

            </div>
          </div>
        <?php endif; ?>
        <?php if ($instance['skills_six'] != '') : ?>
          <p><?php echo esc_attr($instance['skills_six']); ?></p>
          <div class="uk-progress" data-uk-scrollspy="{cls:'is-active_<?php echo esc_attr($instance['skills_six']); ?>', repeat: true}">
            <div class="uk-progress-bar">

            </div>
          </div>
        <?php endif; ?>
        <?php if ($instance['skills_seven'] != '') : ?>
          <p><?php echo esc_attr($instance['skills_seven']); ?></p>
          <div class="uk-progress" data-uk-scrollspy="{cls:'is-active_<?php echo esc_attr($instance['skills_seven']); ?>', repeat: true}">
            <div class="uk-progress-bar">

            </div>
          </div>
        <?php endif; ?>
</div>
</div>
<?php
        echo $after_widget;
    }

}

// Add plugin settings
$Plugin_Name = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$Plugin_Name", 'tt_Add_Settings_Links_For_Plugin' );
if ( !function_exists('tt_Add_Settings_Links_For_Plugin') ) { 
    function tt_Add_Settings_Links_For_Plugin($links) {
        array_push($links, '<a title="We are developing beautiful themes and applications for the web!" href="http://torbara.com" target="_blank" style="font-weight: bold; font-size: 14px;"><img src="http://www.googledrive.com/host/0Bxtm5PidFyMoN3VhYWlfVU45MXc" alt="" style="width: 24px; vertical-align: middle; position: relative; top: -1px;"> Torbara.com</a>');
        array_push($links, '<a title="Our portfolio on Envato Market" href="http://themeforest.net/user/torbara/portfolio?ref=torbara" target="_blank"><img src="http://www.googledrive.com/host/0Bxtm5PidFyModml3aXJ0T3hFQ2M" alt="" style="width: 16px; vertical-align: middle; position: relative; top: -2px;"> Envato</a>');
        return $links;
    }
}

add_action('widgets_init', create_function('', 'return register_widget("tt_skills_widget");')); ?>
