<?php
/**
 * Boss — Boss Responsive Theme for WordPress, exclusively on Envato Market: http://themeforest.net/user/torbara/?ref=torbara
 * @encoding   UTF-8
 * @version    2.0.0
 * @copyright  Copyright ( C ) 2015 torbar (http://torbara.com/). All rights reserved.
 * @license    Copyrighted Commercial Software
 * @support    support@torbara.com
 * @author     Torbara
 */


add_action( 'init', 'boss_remove_wc_breadcrumbs' );
function boss_remove_wc_breadcrumbs() {
    remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0 );
}

remove_action('woocommerce_single_product_summary','woocommerce_template_single_title',5);

 function woocommerce_radio_variable() {
   wp_enqueue_script( 'woocommerce_radio_variable-one', get_template_directory_uri().'/js/add-to-cart-variation.min.js', array( 'jquery' ), '20150330', true );

   wp_enqueue_script( 'woocommerce_radio_variable-two', get_template_directory_uri().'/js/single-product.js', array( 'jquery' ), '20150330', true );
 }
 add_action( 'wp_enqueue_scripts', 'woocommerce_radio_variable' );

 add_filter( 'woocommerce_product_tabs', 'woo_rename_tabs', 98 );
 function woo_rename_tabs( $tabs ) {

 	global $product;
 	// Проверяем имеет ли товар атрибуты, вес, размер
 	if( $product->has_attributes()) {
            $tabs['additional_information']['title'] = esc_html__( 'Overview', 'boss');
            $tabs['description']['title'] = esc_html__('Specifications', 'boss');
            $tabs['reviews']['title'] = esc_html__( 'Reviews', 'boss');
 	}
        else {
            $tabs['description']['title'] = esc_html__('Specifications', 'boss');
            $tabs['reviews']['title'] = esc_html__( 'Reviews', 'boss');
        }
 	return $tabs;
}

 add_filter( 'woocommerce_product_tabs', 'woo_reorder_tabs', 98 );
 function woo_reorder_tabs( $tabs ) {
    
    $tabs['description']['priority'] = 10;
    $tabs['additional_information']['priority'] = 15;
    $tabs['reviews']['priority'] = 20;

 	return $tabs;
 }
add_filter('woocommerce_checkout_fields','custom_wc_checkout_fields_no_label');

 function custom_wc_checkout_fields_no_label($fields) {
     // loop by category
     foreach ($fields as $category => $value) {
         // loop by fields
         foreach ($fields[$category] as $field => $property) {
             // remove label property
             unset($fields[$category][$field]['label']);
         }
     }
      return $fields;
 }
 add_filter( 'woocommerce_checkout_fields' , 'custom_override_checkout_fields' );
 add_filter( 'woocommerce_checkout_fields' , 'custom_override_checkout_fields' );
 function custom_override_checkout_fields( $fields ) {
      $fields['billing']['billing_first_name']['placeholder'] = 'first name';
      $fields['billing']['billing_last_name']['placeholder'] = 'last name';
      $fields['billing']['billing_phone']['placeholder'] = 'Phone';
      $fields['billing']['billing_state']['placeholder'] = 'State';
      $fields['billing']['billing_company']['placeholder'] = 'Company';
      $fields['shipping']['shipping_first_name']['placeholder'] = 'first name';
      $fields['shipping']['shipping_last_name']['placeholder'] = 'last name';
      $fields['shipping']['shipping_company']['placeholder'] = 'Company';
      $fields['shipping']['shipping_state']['placeholder'] = 'State';
      return $fields;
 }
