<?php
/** Boss Theme for WordPress, exclusively on Envato Market: http://themeforest.net/user/torbara
 *  @encoding     UTF-8
 *  @version      1.0
 *  @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 *  @license      GNU General Public License version 2 or later, see http://www.gnu.org/licenses/gpl-2.0.html
 *  @author       Vladislav Kotko
 */

// add css
$this['asset']->addFile('css', 'css:theme.css');

?>

<!DOCTYPE HTML>
<html lang="<?php echo esc_attr($this['config']->get('language')); ?>" dir="<?php echo esc_attr($this['config']->get('direction')); ?>" class="tm-error">
<head>
    <link href="favicon.ico" rel="shortcut icon" type="image/vnd.microsoft.icon" />
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/theme.css">
    <?php 
        if(isset($_GET["style"])){
            $style = $_GET["style"];
            if($style !="default"){
                ?><link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/styles/<?php echo $style; ?>/css/custom.css"><?php
            }else{
                ?><link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/custom.css"><?php
            }
        }
    ?>
</head>
<body class="uk-height-1-1 tm-comming-soon-page">
  <div class="">
    <div class="tm-page-absolute">
        <div class="uk-grid">
            <div class="uk-width-1-1">
                    <a class="tm-logo" href="#">Boss</a>
                <div class="uk-vertical-align tm-comming-soon-text">
                    <div class="uk-grid uk-vertical-align-middle">
                        <span class="tt-error-message-error">site offline</span>
                        <strong>boss tired visit site later</strong>
                    </div>
                </div>
                <div class="tm-error-social">
                    <ul class="tm-social-links_button">
                        <li><a class="tm-twitter" target="_blank" href="#"></a></li>
                        <li><a class="tm-facebook" target="_blank" href="#"></a></li>
                        <li><a class="tm-pinterest" target="_blank" href="#"></a></li>
                        <li><a class="tm-vimeo" target="_blank" href="#"></a></li>
                        <li><a class="tm-youtube" target="_blank" href="#"></a></li>
                        <li><a class="tm-in" target="_blank" href="#"></a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
  </div>
</body>
</html>
