<?php
/*
Template Name: TT Blog Category
*/
/**
 * Boss category template for WP, exclusively on Envato Market: http://codecanyon.net/user/aklare
 * @encoding     UTF-8
 * @version      1.0
 * @copyright    Copyright (C) 2016 Aklare (http://torbara.com). All rights reserved.
 * @license      GNU General Public License version 2 or later, see http://www.gnu.org/licenses/gpl-2.0.html
 * @author       torbara (support@torbara.com)
 */
get_header(); ?>
<?php $thisCat = get_category(get_query_var('cat'),false); ?>
<div class="tm-blog-bg">
  <div class="uk-width-1-1">
      <div class="uk-panel">
          <h1 class="uk-page-title"><?php echo esc_attr($thisCat->cat_name); ?></h1>
      </div>
  </div>
  <div class="tm-portfolio-category">

    <?php if ($warp['widgets']->count('portfolio-category')) : ?>
      <div class="uk-grid">
        <div class="uk-width-1-1">
        <?php echo $warp['widgets']->render('portfolio-category', array('layout'=>$warp['config']->get('grid.portfolio-category.layout'))); ?>
      </div>
        </div>
    <?php endif; ?>

  </div>
  <div class="tm-blog-category">
    <div class="uk-grid uk-grid-collapse" data-uk-observe>
      <div class="uk-width-medium-1-1 tm-grid-heights">
        <div class="tm-blogs">
          <div class="tm-blog-containers">
        <div class="uk-grid" data-uk-grid-margin>
        <?php
          //$portfolio_post = new WP_Query( array( 'type' => 'post',  'cat' => $thisCat->term_id) );
          // query_posts('posts_per_page=-1');
         while (have_posts()) { the_post();
          //  while ($portfolio_post->have_posts()) { $portfolio_post->the_post();
          $categories = get_the_category();
          $category_id = $categories[0]->cat_name;
        ?>
          <div class="uk-width-medium-1-2">
            <div class="uk-grid tm-blog-item">
              <div class="uk-width-1-1">
                <?php if ( has_post_thumbnail(get_the_ID())) { ?>
                    <?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(), false, '' ); ?>
                    <a href="<?php the_permalink(); ?>">
                      <div class="uk-cover-background" style="background-image: url(<?php echo $src[0]; ?>);">
                          <img class="uk-invisible" src="<?php echo $src[0]; ?>" width="600" height="400" alt="<?php the_title(); ?>">
                      </div>
                    </a>
                <?php } ?>
                <div class="tm-blog-item-info">
                  <div class="tm-blog-item-info_meta">
                    <span><?php echo get_the_time('j F');?></span>
                    <div class="tm-blog-item-social-link">
                    </div>
                  </div>
                  <a href="<?php the_permalink(); ?>"><h1><?php the_title(); ?></h1></a>
                  <div class="tm-blog-item-bottom-info">
                    <div class="uk-clearfix">
                      <div class="uk-float-right">
                      </div>
                      <div class="uk-float-left">
                        <p><?php printf( _nx( '%1$s Comment', '%1$s Comments', get_comments_number(), 'comments title', 'boss' ), number_format_i18n( get_comments_number() ) ); ?></p>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        <?php } ?>
        </div>
  <?php wp_pagenavi( array( 'type' => 'post' ) ); ?>
</div>
</div>


      </div>




    </div>
  </div>
</div>


<?php get_sidebar(); ?>

<?php get_footer(); ?>
<?php
/*
Template Name: TT Blog Category
*/
/**
 * Boss category template for WP, exclusively on Envato Market: http://codecanyon.net/user/aklare
 * @encoding     UTF-8
 * @version      1.0
 * @copyright    Copyright (C) 2016 Aklare (http://torbara.com). All rights reserved.
 * @license      GNU General Public License version 2 or later, see http://www.gnu.org/licenses/gpl-2.0.html
 * @author       torbara (support@torbara.com)
 */
get_header(); ?>
<?php $thisCat = get_category(get_query_var('cat'),false); ?>
<div class="tm-blog-bg">
  <div class="uk-width-1-1">
      <div class="uk-panel">
          <h1 class="uk-page-title"><?php echo esc_attr($thisCat->cat_name); ?></h1>
      </div>
  </div>
  <div class="tm-portfolio-category">

    <?php if ($warp['widgets']->count('portfolio-category')) : ?>
      <div class="uk-grid">
        <div class="uk-width-1-1">
        <?php echo $warp['widgets']->render('portfolio-category', array('layout'=>$warp['config']->get('grid.portfolio-category.layout'))); ?>
      </div>
        </div>
    <?php endif; ?>

  </div>
  <div class="tm-blog-category">
    <div class="uk-grid uk-grid-collapse" data-uk-observe>
      <div class="uk-width-medium-1-1 tm-grid-heights">
        <div class="tm-blogs">
          <div class="tm-blog-containers">
        <div class="uk-grid" data-uk-grid-margin>
        <?php
          //$portfolio_post = new WP_Query( array( 'type' => 'post',  'cat' => $thisCat->term_id) );
          // query_posts('posts_per_page=-1');
         while (have_posts()) { the_post();
          //  while ($portfolio_post->have_posts()) { $portfolio_post->the_post();
          $categories = get_the_category();
          $category_id = $categories[0]->cat_name;
        ?>
          <div class="uk-width-medium-1-2">
            <div class="uk-grid tm-blog-item">
              <div class="uk-width-1-1">
                <?php if ( has_post_thumbnail(get_the_ID())) { ?>
                    <?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(), false, '' ); ?>
                    <a href="<?php the_permalink(); ?>">
                      <div class="uk-cover-background" style="background-image: url(<?php echo $src[0]; ?>);">
                          <img class="uk-invisible" src="<?php echo $src[0]; ?>" width="600" height="400" alt="<?php the_title(); ?>">
                      </div>
                    </a>
                <?php } ?>
                <div class="tm-blog-item-info">
                  <div class="tm-blog-item-info_meta">
                    <span><?php echo get_the_time('j F');?></span>
                    <div class="tm-blog-item-social-link">
                    </div>
                  </div>
                  <a href="<?php the_permalink(); ?>"><h1><?php the_title(); ?></h1></a>
                  <div class="tm-blog-item-bottom-info">
                    <div class="uk-clearfix">
                      <div class="uk-float-right">
                      </div>
                      <div class="uk-float-left">
                        <p><?php printf( _nx( '%1$s Comment', '%1$s Comments', get_comments_number(), 'comments title', 'boss' ), number_format_i18n( get_comments_number() ) ); ?></p>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        <?php } ?>
        </div>
  <?php wp_pagenavi( array( 'type' => 'post' ) ); ?>
</div>
</div>


      </div>




    </div>
  </div>
</div>


<?php get_sidebar(); ?>

<?php get_footer(); ?>
