<?php
/*
WP Post Template: TT Blog Single
*/
/**
 * Boss category template for WP, exclusively on Envato Market: http://codecanyon.net/user/aklare
 * @encoding     UTF-8
 * @version      1.0
 * @copyright    Copyright (C) 2016 Aklare (http://torbara.com). All rights reserved.
 * @license      GNU General Public License version 2 or later, see http://www.gnu.org/licenses/gpl-2.0.html
 * @author       torbara (support@torbara.com)
 */
get_header(); ?>
<?php $thisCat = get_category(get_query_var('cat'),false); ?>

<div class="tm-blog-post-bg">
  <div class="uk-width-1-1">
      <div class="uk-panel">
          <h1 class="uk-page-title"><?php the_title(); ?></h1>
      </div>
  </div>
  <div class="tm-portfolio-category">
    <?php if ($warp['widgets']->count('portfolio-category')) : ?>
      <div class="uk-grid">
        <div class="uk-width-1-1">
        <?php echo $warp['widgets']->render('portfolio-category', array('layout'=>$warp['config']->get('grid.portfolio-category.layout'))); ?>
      </div>
        </div>
    <?php endif; ?>

  </div>
  <div class="tm-blog-post-single">
    <div class="uk-grid uk-grid-collapse">
      <div class="uk-width-medium-1-1 tm-grid-heights">
        <div class="uk-grid">
        <?php
         while (have_posts()) { the_post();
        ?>
          <div class="uk-width-medium-1-1">
            <div class="tm-blog-post">
              <div class="uk-width-1-1">
                <?php
                  if( function_exists( 'easy_image_gallery' ) ) {
                    echo easy_image_gallery();
                  }
                ?>
                <div class="tm-blog-post-info">
                  <div class="tt-meta-blog-post">
                    <div class="uk-grid">
                      <div class="uk-width-1-2">
                          <?php echo get_avatar($current_user->ID); ?>
                          <h3 class="tm-user-login">
                          <?php the_author(); ?>
                          </h3>
                      </div>
                      <div class="uk-width-2-4">
                        <p class="tm-blog-post-time"><?php echo get_the_time('g:i'); ?> | <?php echo get_the_time('j F Y'); ?></p>
                      </div>
                    </div>
                  </div>
                  <div class="tm-blog-post-text">
                    <?php the_content(); ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
        <?php } ?>
        </div>
      </div>





    </div>
  </div>
  <?php
  if ( (strlen(get_previous_post_link('%link', '%title', TRUE)) > '1') || (strlen(get_next_post_link('%link', '%title', TRUE)) > '1') ) : ?>
    <div class="tm-container-pagintaion uk-width-1-1">
      <div class="tm-wrap-pagintaion">
        <div class="uk-container-center tm-single-pagination">
          <div class="tm-single-pagination-left"><span><?php previous_post_link('%link', '%title', TRUE); ?></span></div>
          <div class="tm-single-pagination-right"><span><?php next_post_link('%link', '%title', TRUE); ?></span></div>
        </div>
      </div>
    </div>
  <?php endif; ?>
  <div class="tm-blog-post-comments">
    <?php comments_template(); ?>
  </div>
</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
