<?php
/*
WP Post Template: TT Portfolio Single
*/
/**
 * Boss category template for WP, exclusively on Envato Market: http://codecanyon.net/user/aklare
 * @encoding     UTF-8
 * @version      1.0
 * @copyright    Copyright (C) 2016 Aklare (http://torbara.com). All rights reserved.
 * @license      GNU General Public License version 2 or later, see http://www.gnu.org/licenses/gpl-2.0.html
 * @author       torbara (support@torbara.com)
 */
get_header(); ?>

<div class="tm-portfolio-single">
    <div class="uk-width-1-1">
        <div class="uk-panel">
            <h1 class="uk-page-title"><?php the_title(); ?></h1>
            <h2 class="uk-panel-title"><?php the_excerpt(); ?></h2>
        </div>
    </div>

    <div class="tm-portfolio">
      <div class="uk-grid tm-portfolio-container">
        <?php
        while (have_posts()) {
            the_post();?>
    
            <div class="uk-width-1-1">
              <?php
                if( function_exists( 'easy_image_gallery' ) ) {
                  echo easy_image_gallery();
                }
              ?>
            </div>
            <?php the_content(); ?>
            <?php
            if ( (strlen(get_previous_post_link('%link', '%title', TRUE)) > '1') || (strlen(get_next_post_link('%link', '%title', TRUE)) > '1') ) : ?>
              <div class="tm-container-pagintaion uk-width-1-1">
                <div class="tm-wrap-pagintaion">
                  <div class="uk-container-center tm-single-pagination">
                    <div class="tm-single-pagination-left"><span><?php previous_post_link('%link', '%title', TRUE); ?></span></div>
                    <div class="tm-single-pagination-right"><span><?php next_post_link('%link', '%title', TRUE); ?></span></div>
                  </div>
                </div>
              </div>
            <?php endif; ?> 
            <?php } ?>
      </div>
    </div>
</div>


<?php get_sidebar(); ?>

<?php get_footer(); ?>
