<?php
/*
  Plugin Name: TT Share
  Plugin URI: http://themeforest.net/user/torbara
  Description: Widget for display post in blog.
  Author: Torbara
  Version: 1.0
  Author URI: http://themeforest.net/user/torbara/portfolio
 */ 
function tt_share_css()
{
	wp_enqueue_script( 'tt_share-counts', plugins_url( 'js/tt_share.js', __FILE__ ), array( 'jquery' ), '1.2', true );
}
add_action( 'wp_enqueue_scripts', 'tt_share_css' );

function tt_share_show_buttons_shortcode()
{
	return tt_share_display_button_buttons();
}

add_shortcode('tt_share', 'tt_share_show_buttons_shortcode');

function tt_share_catch_that_image()
{
	if ( has_post_thumbnail() ){
		$tt_share_thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'thumbnail' );
		$tt_share_thumb_url = $tt_share_thumb['0'];
		return $tt_share_thumb_url;

	} else {
	  	global $post, $posts;
	  	$first_img = '';
	  	ob_start();
	  	ob_end_clean();
	  	$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
	  	$first_img = $matches[1][0];

	  	return $first_img;
	}
}
function tt_share_display_button_buttons($tt_share_buttons = "")
{

	$tt_share_post_title  =  urlencode(get_the_title());

	$tt_share_buttons .= '<div class="tt_share-container">';
	$tt_share_buttons .= '<ul>';

	if (get_option('tt_share_twitter_via')):
		$tt_share_twitter_mention = " - via:" . get_option('tt_share_twitter_via');
	else:
		$tt_share_twitter_mention = "";
	endif;

	if ( 1 == get_option('display_button_twitter') )
		$tt_share_buttons .='<li class="tt_share-btn-twitter">
								<a class="tm-tt_share-twitter" title="Tweet on Twitter" href="https://twitter.com/intent/tweet?text='.$tt_share_post_title.': '.get_permalink(). $tt_share_twitter_mention . '" onclick="window.open(this.href, \'mywin\',\'left=50,top=50,width=600,height=350,toolbar=0\'); return false;">

								</a>
							</li>';
	if ( 1 == get_option('display_button_facebook') )
		$tt_share_buttons .='<li class="tt_share-btn-facebook">
								<a class="tm-tt_share-facebook" title="Share on Facebook" href="http://www.facebook.com/sharer.php?u=' . urlencode(get_permalink()) . '" onclick="window.open(this.href, \'mywin\',\'left=50,top=50,width=600,height=350,toolbar=0\'); return false;">

								</a>
							</li>';
  if ( 1 == get_option('display_button_twitter') )
    $tt_share_buttons .='<li class="tt_share-btn-settings">
                <a class="tm-tt_share-settings" href="javascript:void(null)">
                </a>
              </li>';
	$tt_share_buttons .= '</ul>';
    $tt_share_buttons .= '</div>';
	return $tt_share_buttons;
}
?>
